Page MenuHomeLubuntu Development

Fix software-properties-qt under other DEs
Closed, ResolvedPublic

Description

This error pops up when trying to use software-properties-qt under Kubuntu: Cannot execute command 'lxqt-sudo software-properties-qt'

This should be fixed before the release.

Event Timeline

tsimonq2 created this task.Mar 30 2019, 2:34 PM
tsimonq2 created this object with visibility "Public (No Login Required)".

does Kubuntu want to have software-properties-qt?
currently the .desktop should only be build for lxqt.
https://git.launchpad.net/software-properties/tree/data/software-properties-qt.desktop.in
line 7:
OnlyShowIn=LXQt;

before was:
NoDisplay=true

In T15#373, @hmollercl wrote:

does Kubuntu want to have software-properties-qt?

Yes, we do.

See: https://bugs.launchpad.net/ubuntu/+source/software-properties/+bug/1793876

requirements of root permision was before my interbention as can be seen in line 105 in https://git.launchpad.net/software-properties/tree/software-properties-qt and commit https://git.launchpad.net/software-properties/commit/?id=20ab26e195747cec8256f5cb3b2b1cf827b69ffe

@@ -100,7 +104,7 @@ if __name__ == '__main__':
 
     # Check for root permissions
     if os.geteuid() != 0:
-        text = "Please run this software with administrative rights. To do so, run this program with pkexec."
+        text = "Please run this software with administrative rights. To do so, run this program with lxqt-sudo or pkexec."
         title = "Need administrative powers"
         msgbox = QMessageBox.critical(None, title, text)
         sys.exit(1)

maybe run it with sudo instead of lxqt-sudo ???

In T15#376, @hmollercl wrote:

maybe run it with sudo instead of lxqt-sudo ???

Requiring lxqt-sudo breaks plasma-discover in Kubuntu

when running software-properties-qt w/o root privileges (bypassing the control)
Traceback (most recent call last):

File "/home/hmoller/discoMod/swProp/software-properties/softwareproperties/qt/SoftwarePropertiesQt.py", line 433, in set_update_automation_level
  SoftwareProperties.set_update_automation_level(self, softwareproperties.UPDATE_INST_SEC)
File "/home/hmoller/discoMod/swProp/software-properties/softwareproperties/SoftwareProperties.py", line 197, in set_update_automation_level
  self.set_modified_config()
File "/home/hmoller/discoMod/swProp/software-properties/softwareproperties/qt/SoftwarePropertiesQt.py", line 585, in set_modified_config
  SoftwareProperties.set_modified_config(self)
File "/home/hmoller/discoMod/swProp/software-properties/softwareproperties/SoftwareProperties.py", line 502, in set_modified_config
  self.write_config()
File "/home/hmoller/discoMod/swProp/software-properties/softwareproperties/SoftwareProperties.py", line 646, in write_config
  f = open(periodic, "w")

PermissionError: [Errno 13] Permission denied: '//etc/apt/apt.conf.d/10periodic'

hmollercl added a comment.EditedApr 5 2019, 11:47 AM

I have the solution in the code here https://code.launchpad.net/~hmollercl/+git/software-properties but I don't know how to propose merge. Previously with bzr it was as simply as pressing a "propose merge" button now this button doesn't exist.

Making this a release blocker.

I'll sponsor this today; sorry for the delay.

It landed in the release pocket 45 mins ago. Please, someone upgrade to it and test it ASAP.

tsimonq2 triaged this task as Unbreak Now! priority.Apr 11 2019, 9:43 AM
In T15#637, @tsimonq2 wrote:

It landed in the release pocket 45 mins ago. Please, someone upgrade to it and test it ASAP.

I tested that it fixed Discover earlier from the proposed pocket.

Other changes, I did not test.

Thanks, @rikmills! As long as it still works under Lubuntu dailies, I think we're golden.

hmollercl added a comment.EditedApr 11 2019, 10:35 AM

Now we don't have menu entries for it, don't know why.

In T15#647, @hmollercl wrote:

Now we don't have menu entries for it, don't know why.

Did you add software-properties-lxqt.desktop to a .install file?

In T15#648, @rikmills wrote:
In T15#647, @hmollercl wrote:

Now we don't have menu entries for it, don't know why.

Did you add software-properties-lxqt.desktop to a .install file?

no, I don't. Where should be that .install file?

debian/software-properties-qt.install

has

debian/tmp/usr/share/software-properties/designer
debian/tmp/usr/lib/python3*/*-packages/softwareproperties/qt/*.py
debian/tmp/usr/bin/software-properties-qt
debian/tmp/usr/share/applications/software-properties-qt.desktop

so I would imagine needs adding to that?

wxl added a subscriber: wxl.Apr 11 2019, 11:11 AM

But /usr/share/applications is exactly where we want it, so we shouldn't have an issue.

So I mean, like:

diff -Nru software-properties-0.97.10/debian/software-properties-qt.install software-properties-0.97.11/debian/software-properties-qt.install
--- software-properties-0.97.10/debian/software-properties-qt.install	2019-04-10 21:38:53.000000000 +0100
+++ software-properties-0.97.11/debian/software-properties-qt.install	2019-04-11 17:16:46.000000000 +0100
@@ -2,3 +2,4 @@
 debian/tmp/usr/lib/python3*/*-packages/softwareproperties/qt/*.py
 debian/tmp/usr/bin/software-properties-qt
 debian/tmp/usr/share/applications/software-properties-qt.desktop
+debian/tmp/usr/share/applications/software-properties-lxqt.desktop

Ah, you had a software-properties-drivers-lxqt.desktop as well!

In T15#660, @rikmills wrote:

Ah, you had a software-properties-drivers-lxqt.desktop as well!

yes, the same idea that gtk has.

How's it look now?

hmollercl added a comment.EditedApr 12 2019, 8:00 AM

goood!!!

So can we close this, @hmollercl? :)

wxl added a comment.Apr 12 2019, 5:49 PM

I see a "Software Sources" menu entry and an "Additional Drivers" menu entry and there are three desktop files:

  1. software-properties-drivers-lxqt.desktop i.e. "Additional Drivers"
  2. software-properties-lxqt.desktop i.e. "Software Sources"
  3. software-properties-qt.desktop which is Kubuntu's as far as I understand it (there's KDE vendor keys in there)

That last one is NoDisplay=true and indeed I don't see an entry for "Software Sources" anywhere in their menus. It seems the only option is to either dig through /usr/share/applications and run it that way or to get it from muon. I think that's right. Also they have a whole separate thing for "Additional Drivers" which does have its own menu entry. @rikmills does that sound right? You don't want to expose "Software Sources" in the menu?

wxl closed this task as Resolved.Apr 12 2019, 6:53 PM

Sounds like it all makes sense after talking more to @hmollercl so closing.